LinuxQuestions.org
Latest LQ Deal: Linux Power User Bundle
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 02-03-2014, 11:36 AM   #1
jzoudavy
Member
 
Registered: Apr 2012
Distribution: Ubuntu, SUSE, Redhat
Posts: 188

Rep: Reputation: Disabled
looking for a better way to download rpm packages


Hi all

I have this server that I am currently trying to admin at work, and due to network policies I can not connect directly to the outside world or any of the global rpm repos. I have to download it to my local machine, scp it over, and install them that way.

As such I have to download each individual rpm packages and because our suse is a bit old, I am finding many of the latest packages requires either packages that I don't have or need upgrading.

Is there a way to download a specific rpm, and all its dependencies in one go?

So for example:

ma-linx:~/Documents # rpm -ivh openldap2-devel-2.4.38-1.1.x86_64.rpm
warning: openldap2-devel-2.4.38-1.1.x86_64.rpm: Header V3 RSA/SHA256 signature: NOKEY, key ID 3dbdc284
error: Failed dependencies:
libldap-2_4-2 = 2.4.38 is needed by openldap2-devel-2.4.38-1.1.x86_64
ma-linx:~/Documents # rpm -Uvh libldap-2_4-2-32bit-2.4.38-1.1.x86_64.rpm
warning: libldap-2_4-2-32bit-2.4.38-1.1.x86_64.rpm: Header V3 RSA/SHA256 signature: NOKEY, key ID 3dbdc284
error: Failed dependencies:
libc.so.6(GLIBC_2.12) is needed by libldap-2_4-2-32bit-2.4.38-1.1.x86_64
libcrypto.so.1.0.0 is needed by libldap-2_4-2-32bit-2.4.38-1.1.x86_64
libsasl2.so.3 is needed by libldap-2_4-2-32bit-2.4.38-1.1.x86_64
libssl.so.1.0.0 is needed by libldap-2_4-2-32bit-2.4.38-1.1.x86_64

So now I have to download four more packages. And these four more packages will probably need even more repos.

Wouldn't it be nice if there is someway of getting all those dependencies and the packages all in one go?
Does any such service exist?

Thanks guys

Last edited by jzoudavy; 02-03-2014 at 11:43 AM.
 
Old 02-03-2014, 02:26 PM   #2
unSpawn
Moderator
 
Registered: May 2001
Posts: 29,361
Blog Entries: 55

Rep: Reputation: 3547Reputation: 3547Reputation: 3547Reputation: 3547Reputation: 3547Reputation: 3547Reputation: 3547Reputation: 3547Reputation: 3547Reputation: 3547Reputation: 3547
Set up a virtual machine with all the packages your SuSE has installed and query for and download the packages from there?
 
Old 02-03-2014, 02:31 PM   #3
jzoudavy
Member
 
Registered: Apr 2012
Distribution: Ubuntu, SUSE, Redhat
Posts: 188

Original Poster
Rep: Reputation: Disabled
i would still need to find out which packages I need though. because right now the only way i can see what i need is to try rpm -ivh and see what results comes back.
 
Old 02-03-2014, 05:13 PM   #4
John VV
LQ Muse
 
Registered: Aug 2005
Location: A2 area Mi.
Posts: 17,229

Rep: Reputation: 2522Reputation: 2522Reputation: 2522Reputation: 2522Reputation: 2522Reputation: 2522Reputation: 2522Reputation: 2522Reputation: 2522Reputation: 2522Reputation: 2522
Quote:
As such I have to download each individual rpm packages and because our suse is a bit old,
for being offline
that is how you do it

a 2 min. job WILL take a FULL DAY

unSpawn is saying install a clone of the server on a different computer in a vm
One that HAS internet access
then use ZYPPER , the suse package manager

but depending on just what version this is
SuSE Enterprise Linux 11 service pack 3( SELS-sp3) is the current
or if it is OpenSUSE
only Opensuse 12.2,12.3 and 13.1 are supported

there may or might NOT be any thing you can install

and HOW are you looking for rpm's to install ?
fedora and RHEL rpm's will kill a suse install

I would start with the Opensuse Build Service
https://build.opensuse.org/

or if this IS SELS 11 sp 1 ,2 or 3
contact Novell . you are paying for that REQUIRED support contract ?
right?

Last edited by John VV; 02-03-2014 at 05:17 PM.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
download rpm packages mehrd@d General 1 10-09-2013 08:54 AM
where can i download rpm packages abhinav89 Red Hat 2 08-19-2011 02:29 PM
How do I get the packages that depend in download RPM? nadavvin Linux - Software 2 08-26-2008 07:51 AM
How do I get the packages that depend in download RPM? nadavvin Linux - Software 1 08-24-2008 07:11 PM
Using RPM to download packages from FTP kragbax Linux - Software 1 11-01-2003 09:52 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie

All times are GMT -5. The time now is 08:02 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration